freeipa-client-install points to wrong ntp.conf file

Bug #1309655 reported by lee-machine on 2014-04-18
12
This bug affects 2 people
Affects Status Importance Assigned to Milestone
freeipa (Ubuntu)
Medium
Timo Aaltonen
Trusty
Undecided
Unassigned

Bug Description

[Impact]
On a fresh 14.04-server install freeipa-client-install does not write to the correct ntpd conf file. Also, it needs --force-ntpd option to overcome a fault where the installer falsely detects chronyd being installed.

[Test case]
Using

ipa-client-install --enable-dns-updates --force-ntpd

it tries writing to:

/etc/sysconfig/ntpd

Which is not a correct path on Ubuntu

It needs to be /etc/default/ntpdate and /etc/default/ntp

[Regression potential]
None, the patch fixes a path. For chronyd it just skips is_enabled() for it, and since freeipa-client depends on ntp and chrony conflicts with ntp, there's no way chrony is installed with freeipa-client.

Timo Aaltonen (tjaalton) wrote :

thanks for the bug, I'll fix it soon

and thanks for verifying the client works, yes it has been a painful couple of years but finally got it working for the most part :)

Changed in freeipa (Ubuntu):
importance: Undecided → Medium
status: New → Triaged
assignee: nobody → Timo Aaltonen (tjaalton)
Timo Aaltonen (tjaalton) wrote :

"soon" is relative, but it's fixed on utopic now, next is filing the paperwork for trusty SRU

Changed in freeipa (Ubuntu Trusty):
status: New → In Progress
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package freeipa - 3.3.4-0ubuntu4

---------------
freeipa (3.3.4-0ubuntu4) utopic; urgency=medium

  * fix-ntp-paths.diff: Don't use fedora paths for ntpd options. (LP:
    #1309655)
  * add-debian-platform.diff: Let testing chronyd always return false,
    since the package already conflicts with ntp so can't be
    installed/enabled at the same time. Allows configuring ntpd without
    forcing it. (LP: #1309655)
 -- Timo Aaltonen <email address hidden> Tue, 05 Aug 2014 18:59:50 +0300

Changed in freeipa (Ubuntu):
status: Triaged → Fix Released
Timo Aaltonen (tjaalton) on 2014-08-06
description: updated

Hello lee-machine, or anyone else affected,

Accepted freeipa into trusty-proposed. The package will build now and be available at http://launchpad.net/ubuntu/+source/freeipa/3.3.4-0ubuntu3.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in freeipa (Ubuntu Trusty):
status: In Progress → Fix Committed
tags: added: verification-needed
Timo Aaltonen (tjaalton) on 2014-08-25
tags: added: verification-done
removed: verification-needed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package freeipa - 3.3.4-0ubuntu3.1

---------------
freeipa (3.3.4-0ubuntu3.1) trusty-proposed; urgency=medium

  * fix-ntp-paths.diff: Don't use fedora paths for ntpd options. (LP:
    #1309655)
  * add-debian-platform.diff: Let testing chronyd always return false,
    since the package already conflicts with ntp so can't be
    installed/enabled at the same time. Allows configuring ntpd without
    forcing it. (LP: #1309655)
 -- Timo Aaltonen <email address hidden> Tue, 05 Aug 2014 18:59:50 +0300

Changed in freeipa (Ubuntu Trusty):
status: Fix Committed → Fix Released

The verification of the Stable Release Update for freeipa has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regressions.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers